aboutsummaryrefslogtreecommitdiffstats
path: root/tools/get_current_weather.sh
diff options
context:
space:
mode:
authorsigoden <sigoden@gmail.com>2024-06-06 08:29:00 +0800
committerGitHub <noreply@github.com>2024-06-06 08:29:00 +0800
commitbfb7d75fe47ea588495c5be8157a67b1fec67a13 (patch)
treeb1996472711a1ccae391f1bded61adf3475b89ed /tools/get_current_weather.sh
parent005d23030dab2b7708996e779dc78dd5f8ebdb8d (diff)
downloadllm-functions-docker-bfb7d75fe47ea588495c5be8157a67b1fec67a13.tar.gz
refactor: move tools/$lang/** to tools/** (#17)
Diffstat (limited to 'tools/get_current_weather.sh')
-rwxr-xr-xtools/get_current_weather.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/get_current_weather.sh b/tools/get_current_weather.sh
new file mode 100755
index 0000000..47102e0
--- /dev/null
+++ b/tools/get_current_weather.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Get the current weather in a given location.
+# @option --location! The city and optionally the state or country, e.g., "London", "San Francisco, CA".
+
+main() {
+ curl -fsSL "https://wttr.in/$(echo "$argc_location" | sed 's/ /+/g')?format=4&M"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"